package turma;

/**
 * Classe que representa um aluno do sistema
 * @author prof@caetano.eng.br
 */
public class Aluno {
    
    private String nome;
    private float nota;

    /**
     * Construtor de um objeto aluno
     * @param nome Nome do aluno.
     * @param nota Nota do aluno.
     */
    public Aluno(String nome, float nota) {
        this.nome = nome;
        this.nota = nota;
    }

    /**
     * Apresenta objeto na forma textual
     * @return texto contendo a descrição do objeto
     */
    @Override
    public String toString() {
        return "Nome: " + nome + "\nNota: " + nota + "\n\n";
    }

    /**
     * Recupera nome do aluno
     * @return nome completo do aluno
     */
    public String getNome() {
        return nome;
    }

    /**
     * Muda o nome do aluno
     * @param nome novo nome do aluno
     */
    public void setNome(String nome) {
        this.nome = nome;
    }

    /**
     * Recupera a nota do aluno
     * @return nota do aluno
     */
    public float getNota() {
        return nota;
    }

    /**
     * Modifica a nota do aluno
     * @param nota Nova nota do aluno
     */
    public void setNota(float nota) {
        this.nota = nota;
    }
    
}
