package turma;

import java.util.Scanner;

/**
 * Programa de cálculo de média para demonstrar o uso de vetores
 * @author Prof. Jane e prof@caetano.eng.br
 */
public class Turma {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner teclado = new Scanner(System.in);
        int n;
        float soma, media;
        Aluno[] alunos;
        String nome;    
    
        // Pergunta nome do curso
        System.out.print("Qual o nome do curso ? ");
        nome = teclado.nextLine();
    
        // Pergunta o número de alunos da turma (maior que zero)
        do {
            System.out.print("Quantidade de alunos: ");
            n = Integer.parseInt( teclado.nextLine() );
        } while (n<=0);
    
        // Cria vetor para armazenar n alunos
        alunos = new Aluno[n];
        
        // Lê cada uma das notas
        for (int i = 0; i < alunos.length; i=i+1) {
            System.out.format("Digite o nome %d: ", i+1);
            String nAluno = teclado.nextLine();
            System.out.format("Digite a nota %d: ", i+1);
            float nota = Float.parseFloat( teclado.nextLine() );
            
            alunos[i] = new Aluno(nAluno, nota);
        }
        
        // Calcula média
        soma = 0;
        for (int i = 0; i < alunos.length; i=i+1) {
            soma = soma + alunos[i].getNota();
        }
        media = soma/n;
        
        // Imprime a lista de notas
        System.out.println("Nome do Curso: " + nome.toUpperCase());
        System.out.format("Média: %.2f%n", media);
        for (Aluno aluno : alunos) {
            if (aluno.getNota() > media) 
                System.out.println(aluno);
        }
    }
}
